using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.BLL.RegraNegocio;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
   public class repositorioTarifaAntiga
    {

        public void Insert(entidadeTarifaAntiga objTarifaAntiga)
        {
            dalTarifaAntiga dalTarifaAntiga = null;

            try
            {
                dalTarifaAntiga = new dalTarifaAntiga();

                dalTarifaAntiga.Insert(objTarifaAntiga);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Insert_1(entidadeTarifaAntiga objTarifaAntiga)
        {
            dalTarifaAntiga dalTarifaAntiga = null;

            try
            {
                dalTarifaAntiga = new dalTarifaAntiga();

                dalTarifaAntiga.Insert_1(objTarifaAntiga);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update(entidadeTarifaAntiga objTarifaAntiga)
        {
            dalTarifaAntiga dalTarifaAntiga = null;

            try
            {
                dalTarifaAntiga = new dalTarifaAntiga();

                dalTarifaAntiga.Update(objTarifaAntiga);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_1(entidadeTarifaAntiga objTarifaAntiga)
        {
            dalTarifaAntiga dalTarifaAntiga = null;

            try
            {
                dalTarifaAntiga = new dalTarifaAntiga();

                dalTarifaAntiga.Update_1(objTarifaAntiga);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeTarifaAntiga> Select(entidadeTarifaAntiga objTarifaAntiga)
        {
            dalTarifaAntiga dalTarifaAntiga = null;

            var lstTarifa = new List<entidadeTarifaAntiga>();
            DataTable dt = null;

            try
            {
                dalTarifaAntiga = new dalTarifaAntiga();
                dt = dalTarifaAntiga.Select(objTarifaAntiga);

                foreach (DataRow dr in dt.Rows)
                {
                    objTarifaAntiga = new entidadeTarifaAntiga();


                    if (!Convert.IsDBNull(dr["NUM"]))
                        objTarifaAntiga.NUM = dr["NUM"].ToString();

                    if (!Convert.IsDBNull(dr["DESCRI"]))
                        objTarifaAntiga.DESCRI = dr["DESCRI"].ToString();

                    if (!Convert.IsDBNull(dr["UN"]))
                        objTarifaAntiga.UN = dr["UN"].ToString();

                    if (!Convert.IsDBNull(dr["LIMITKWH"]))
                        objTarifaAntiga.LIMITKWH = dr["LIMITKWH"].ToString();

                    if (!Convert.IsDBNull(dr["VALOR"]))
                        objTarifaAntiga.VALOR = Convert.ToDouble(dr["VALOR"]);

                    if (!Convert.IsDBNull(dr["DATANOVA"]))
                        objTarifaAntiga.DATANOVA = dr["DATANOVA"].ToString();

                    if (!Convert.IsDBNull(dr["FLGCASC"]))
                        objTarifaAntiga.FLGCASC = dr["FLGCASC"].ToString();

                    if (!Convert.IsDBNull(dr["VALOR_AMARELA"]))
                        objTarifaAntiga.VALOR_AMARELA = Convert.ToDouble(dr["VALOR_AMARELA"]);

                    if (!Convert.IsDBNull(dr["VALOR_VERMELHA"]))
                        objTarifaAntiga.VALOR_VERMELHA = Convert.ToDouble(dr["VALOR_VERMELHA"]);

                    if (!Convert.IsDBNull(dr["VALOR_BASE_ECONOMICA"]))
                        objTarifaAntiga.VALOR_BASE_ECONOMICA = Convert.ToDouble(dr["VALOR_BASE_ECONOMICA"]);

                    if (!Convert.IsDBNull(dr["VALOR_SEM_SUBSIDIO"]))
                        objTarifaAntiga.VALOR_SEM_SUBSIDIO = Convert.ToDouble(dr["VALOR_SEM_SUBSIDIO"]);

                    if (!Convert.IsDBNull(dr["REFERENCIA"]))
                        objTarifaAntiga.REFERENCIA = Convert.ToDateTime(dr["REFERENCIA"]);

                    if (!Convert.IsDBNull(dr["NUM_OITO"]))
                        objTarifaAntiga.NUM_OITO = dr["NUM_OITO"].ToString();

                    lstTarifa.Add(objTarifaAntiga);
                }
                return lstTarifa;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeTarifaAntiga> Select_1(entidadeTarifaAntiga objTarifaAntiga)
        {
            dalTarifaAntiga dalTarifaAntiga = null;

            var lstTarifa = new List<entidadeTarifaAntiga>();
            DataTable dt = null;

            try
            {
                dalTarifaAntiga = new dalTarifaAntiga();
                dt = dalTarifaAntiga.Select_1(objTarifaAntiga);

                foreach (DataRow dr in dt.Rows)
                {
                    objTarifaAntiga = new entidadeTarifaAntiga();


                    if (!Convert.IsDBNull(dr["NUM"]))
                        objTarifaAntiga.NUM = dr["NUM"].ToString();

                    if (!Convert.IsDBNull(dr["DESCRI"]))
                        objTarifaAntiga.DESCRI = dr["DESCRI"].ToString();

                    if (!Convert.IsDBNull(dr["UN"]))
                        objTarifaAntiga.UN = dr["UN"].ToString();

                    if (!Convert.IsDBNull(dr["LIMITKWH"]))
                        objTarifaAntiga.LIMITKWH = dr["LIMITKWH"].ToString();

                    if (!Convert.IsDBNull(dr["VALOR"]))
                        objTarifaAntiga.VALOR = Convert.ToDouble(dr["VALOR"]);

                    if (!Convert.IsDBNull(dr["DATANOVA"]))
                        objTarifaAntiga.DATANOVA = dr["DATANOVA"].ToString();

                    if (!Convert.IsDBNull(dr["FLGCASC"]))
                        objTarifaAntiga.FLGCASC = dr["FLGCASC"].ToString();

                    if (!Convert.IsDBNull(dr["VALOR_AMARELA"]))
                        objTarifaAntiga.VALOR_AMARELA = Convert.ToDouble(dr["VALOR_AMARELA"]);

                    if (!Convert.IsDBNull(dr["VALOR_VERMELHA"]))
                        objTarifaAntiga.VALOR_VERMELHA = Convert.ToDouble(dr["VALOR_VERMELHA"]);

                    if (!Convert.IsDBNull(dr["VALOR_BASE_ECONOMICA"]))
                        objTarifaAntiga.VALOR_BASE_ECONOMICA = Convert.ToDouble(dr["VALOR_BASE_ECONOMICA"]);

                    if (!Convert.IsDBNull(dr["VALOR_SEM_SUBSIDIO"]))
                        objTarifaAntiga.VALOR_SEM_SUBSIDIO = Convert.ToDouble(dr["VALOR_SEM_SUBSIDIO"]);

                    if (!Convert.IsDBNull(dr["REFERENCIA"]))
                        objTarifaAntiga.REFERENCIA = Convert.ToDateTime(dr["REFERENCIA"]);

                    if (!Convert.IsDBNull(dr["NUM_OITO"]))
                        objTarifaAntiga.NUM_OITO = dr["NUM_OITO"].ToString();

                    lstTarifa.Add(objTarifaAntiga);
                }
                return lstTarifa;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeTarifaAntiga> Select_2(entidadeTarifaAntiga objTarifaAntiga)
        {
            dalTarifaAntiga dalTarifaAntiga = null;

            var lstTarifa = new List<entidadeTarifaAntiga>();
            DataTable dt = null;

            try
            {
                dalTarifaAntiga = new dalTarifaAntiga();
                dt = dalTarifaAntiga.Select_2(objTarifaAntiga);

                foreach (DataRow dr in dt.Rows)
                {
                    objTarifaAntiga = new entidadeTarifaAntiga();


                    if (!Convert.IsDBNull(dr["NUM"]))
                        objTarifaAntiga.NUM = dr["NUM"].ToString();

                    if (!Convert.IsDBNull(dr["DESCRI"]))
                        objTarifaAntiga.DESCRI = dr["DESCRI"].ToString();

                    if (!Convert.IsDBNull(dr["UN"]))
                        objTarifaAntiga.UN = dr["UN"].ToString();

                    if (!Convert.IsDBNull(dr["LIMITKWH"]))
                        objTarifaAntiga.LIMITKWH = dr["LIMITKWH"].ToString();

                    if (!Convert.IsDBNull(dr["VALOR"]))
                        objTarifaAntiga.VALOR = Convert.ToDouble(dr["VALOR"]);

                    if (!Convert.IsDBNull(dr["DATANOVA"]))
                        objTarifaAntiga.DATANOVA = dr["DATANOVA"].ToString();

                    if (!Convert.IsDBNull(dr["FLGCASC"]))
                        objTarifaAntiga.FLGCASC = dr["FLGCASC"].ToString();

                    if (!Convert.IsDBNull(dr["VALOR_AMARELA"]))
                        objTarifaAntiga.VALOR_AMARELA = Convert.ToDouble(dr["VALOR_AMARELA"]);

                    if (!Convert.IsDBNull(dr["VALOR_VERMELHA"]))
                        objTarifaAntiga.VALOR_VERMELHA = Convert.ToDouble(dr["VALOR_VERMELHA"]);

                    if (!Convert.IsDBNull(dr["VALOR_BASE_ECONOMICA"]))
                        objTarifaAntiga.VALOR_BASE_ECONOMICA = Convert.ToDouble(dr["VALOR_BASE_ECONOMICA"]);

                    if (!Convert.IsDBNull(dr["VALOR_SEM_SUBSIDIO"]))
                        objTarifaAntiga.VALOR_SEM_SUBSIDIO = Convert.ToDouble(dr["VALOR_SEM_SUBSIDIO"]);

                    if (!Convert.IsDBNull(dr["REFERENCIA"]))
                        objTarifaAntiga.REFERENCIA = Convert.ToDateTime(dr["REFERENCIA"]);

                    if (!Convert.IsDBNull(dr["NUM_OITO"]))
                        objTarifaAntiga.NUM_OITO = dr["NUM_OITO"].ToString();

                    lstTarifa.Add(objTarifaAntiga);
                }
                return lstTarifa;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeTarifaAntiga> Select_3(entidadeTarifaAntiga objTarifaAntiga)
        {
            dalTarifaAntiga dalTarifaAntiga = null;

            var lstTarifa = new List<entidadeTarifaAntiga>();
            DataTable dt = null;

            try
            {
                dalTarifaAntiga = new dalTarifaAntiga();
                dt = dalTarifaAntiga.Select_3(objTarifaAntiga);

                foreach (DataRow dr in dt.Rows)
                {
                    objTarifaAntiga = new entidadeTarifaAntiga();


                    if (!Convert.IsDBNull(dr["NUM"]))
                        objTarifaAntiga.NUM = dr["NUM"].ToString();

                    if (!Convert.IsDBNull(dr["DESCRI"]))
                        objTarifaAntiga.DESCRI = dr["DESCRI"].ToString();

                    if (!Convert.IsDBNull(dr["UN"]))
                        objTarifaAntiga.UN = dr["UN"].ToString();

                    if (!Convert.IsDBNull(dr["LIMITKWH"]))
                        objTarifaAntiga.LIMITKWH = dr["LIMITKWH"].ToString();

                    if (!Convert.IsDBNull(dr["VALOR"]))
                        objTarifaAntiga.VALOR = Convert.ToDouble(dr["VALOR"]);

                    if (!Convert.IsDBNull(dr["DATANOVA"]))
                        objTarifaAntiga.DATANOVA = dr["DATANOVA"].ToString();

                    if (!Convert.IsDBNull(dr["FLGCASC"]))
                        objTarifaAntiga.FLGCASC = dr["FLGCASC"].ToString();

                    if (!Convert.IsDBNull(dr["VALOR_AMARELA"]))
                        objTarifaAntiga.VALOR_AMARELA = Convert.ToDouble(dr["VALOR_AMARELA"]);

                    if (!Convert.IsDBNull(dr["VALOR_VERMELHA"]))
                        objTarifaAntiga.VALOR_VERMELHA = Convert.ToDouble(dr["VALOR_VERMELHA"]);

                    if (!Convert.IsDBNull(dr["VALOR_BASE_ECONOMICA"]))
                        objTarifaAntiga.VALOR_BASE_ECONOMICA = Convert.ToDouble(dr["VALOR_BASE_ECONOMICA"]);

                    if (!Convert.IsDBNull(dr["VALOR_SEM_SUBSIDIO"]))
                        objTarifaAntiga.VALOR_SEM_SUBSIDIO = Convert.ToDouble(dr["VALOR_SEM_SUBSIDIO"]);

                    if (!Convert.IsDBNull(dr["REFERENCIA"]))
                        objTarifaAntiga.REFERENCIA = Convert.ToDateTime(dr["REFERENCIA"]);

                    if (!Convert.IsDBNull(dr["NUM_OITO"]))
                        objTarifaAntiga.NUM_OITO = dr["NUM_OITO"].ToString();

                    lstTarifa.Add(objTarifaAntiga);
                }
                return lstTarifa;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeTarifaAntiga> Select_4(entidadeTarifaAntiga objTarifaAntiga)
        {
            dalTarifaAntiga dalTarifaAntiga = null;

            var lstTarifa = new List<entidadeTarifaAntiga>();
            DataTable dt = null;

            try
            {
                dalTarifaAntiga = new dalTarifaAntiga();
                dt = dalTarifaAntiga.Select_4(objTarifaAntiga);

                foreach (DataRow dr in dt.Rows)
                {
                    objTarifaAntiga = new entidadeTarifaAntiga();


                    if (!Convert.IsDBNull(dr["NUM"]))
                        objTarifaAntiga.NUM = dr["NUM"].ToString();

                    if (!Convert.IsDBNull(dr["DESCRI"]))
                        objTarifaAntiga.DESCRI = dr["DESCRI"].ToString();

                    if (!Convert.IsDBNull(dr["UN"]))
                        objTarifaAntiga.UN = dr["UN"].ToString();

                    if (!Convert.IsDBNull(dr["LIMITKWH"]))
                        objTarifaAntiga.LIMITKWH = dr["LIMITKWH"].ToString();

                    if (!Convert.IsDBNull(dr["VALOR"]))
                        objTarifaAntiga.VALOR = Convert.ToDouble(dr["VALOR"]);

                    if (!Convert.IsDBNull(dr["DATANOVA"]))
                        objTarifaAntiga.DATANOVA = dr["DATANOVA"].ToString();

                    if (!Convert.IsDBNull(dr["FLGCASC"]))
                        objTarifaAntiga.FLGCASC = dr["FLGCASC"].ToString();

                    if (!Convert.IsDBNull(dr["VALOR_AMARELA"]))
                        objTarifaAntiga.VALOR_AMARELA = Convert.ToDouble(dr["VALOR_AMARELA"]);

                    if (!Convert.IsDBNull(dr["VALOR_VERMELHA"]))
                        objTarifaAntiga.VALOR_VERMELHA = Convert.ToDouble(dr["VALOR_VERMELHA"]);

                    if (!Convert.IsDBNull(dr["VALOR_BASE_ECONOMICA"]))
                        objTarifaAntiga.VALOR_BASE_ECONOMICA = Convert.ToDouble(dr["VALOR_BASE_ECONOMICA"]);

                    if (!Convert.IsDBNull(dr["VALOR_SEM_SUBSIDIO"]))
                        objTarifaAntiga.VALOR_SEM_SUBSIDIO = Convert.ToDouble(dr["VALOR_SEM_SUBSIDIO"]);

                    if (!Convert.IsDBNull(dr["REFERENCIA"]))
                        objTarifaAntiga.REFERENCIA = Convert.ToDateTime(dr["REFERENCIA"]);

                    if (!Convert.IsDBNull(dr["NUM_OITO"]))
                        objTarifaAntiga.NUM_OITO = dr["NUM_OITO"].ToString();

                    lstTarifa.Add(objTarifaAntiga);
                }
                return lstTarifa;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeTarifaAntiga> Select_5(entidadeTarifaAntiga objTarifaAntiga)
        {
            dalTarifaAntiga dalTarifaAntiga = null;

            var lstTarifa = new List<entidadeTarifaAntiga>();
            DataTable dt = null;

            try
            {
                dalTarifaAntiga = new dalTarifaAntiga();
                dt = dalTarifaAntiga.Select_5(objTarifaAntiga);

                foreach (DataRow dr in dt.Rows)
                {
                    objTarifaAntiga = new entidadeTarifaAntiga();


                    if (!Convert.IsDBNull(dr["NUM"]))
                        objTarifaAntiga.NUM = dr["NUM"].ToString();

                    if (!Convert.IsDBNull(dr["DESCRI"]))
                        objTarifaAntiga.DESCRI = dr["DESCRI"].ToString();

                    if (!Convert.IsDBNull(dr["UN"]))
                        objTarifaAntiga.UN = dr["UN"].ToString();

                    if (!Convert.IsDBNull(dr["LIMITKWH"]))
                        objTarifaAntiga.LIMITKWH = dr["LIMITKWH"].ToString();

                    if (!Convert.IsDBNull(dr["VALOR"]))
                        objTarifaAntiga.VALOR = Convert.ToDouble(dr["VALOR"]);

                    if (!Convert.IsDBNull(dr["DATANOVA"]))
                        objTarifaAntiga.DATANOVA = dr["DATANOVA"].ToString();

                    if (!Convert.IsDBNull(dr["FLGCASC"]))
                        objTarifaAntiga.FLGCASC = dr["FLGCASC"].ToString();

                    if (!Convert.IsDBNull(dr["VALOR_AMARELA"]))
                        objTarifaAntiga.VALOR_AMARELA = Convert.ToDouble(dr["VALOR_AMARELA"]);

                    if (!Convert.IsDBNull(dr["VALOR_VERMELHA"]))
                        objTarifaAntiga.VALOR_VERMELHA = Convert.ToDouble(dr["VALOR_VERMELHA"]);

                    if (!Convert.IsDBNull(dr["VALOR_BASE_ECONOMICA"]))
                        objTarifaAntiga.VALOR_BASE_ECONOMICA = Convert.ToDouble(dr["VALOR_BASE_ECONOMICA"]);

                    if (!Convert.IsDBNull(dr["VALOR_SEM_SUBSIDIO"]))
                        objTarifaAntiga.VALOR_SEM_SUBSIDIO = Convert.ToDouble(dr["VALOR_SEM_SUBSIDIO"]);

                    if (!Convert.IsDBNull(dr["REFERENCIA"]))
                        objTarifaAntiga.REFERENCIA = Convert.ToDateTime(dr["REFERENCIA"]);

                    if (!Convert.IsDBNull(dr["NUM_OITO"]))
                        objTarifaAntiga.NUM_OITO = dr["NUM_OITO"].ToString();

                    lstTarifa.Add(objTarifaAntiga);
                }
                return lstTarifa;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeTarifaAntiga> Select_6(entidadeTarifaAntiga objTarifaAntiga)
        {
            dalTarifaAntiga dalTarifaAntiga = null;

            var lstTarifa = new List<entidadeTarifaAntiga>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalTarifaAntiga = new dalTarifaAntiga();
                dt = dalTarifaAntiga.Select_6(objTarifaAntiga);

                regranegocioGlobal = new regraNegocioGlobal();

                lstTarifa = regraNegocioGlobal.ConvertDataTable<entidadeTarifaAntiga>(dt);

                return lstTarifa;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeTarifaAntiga> Select_7(entidadeTarifaAntiga objTarifaAntiga)
        {
            dalTarifaAntiga dalTarifaAntiga = null;

            var lstTarifa = new List<entidadeTarifaAntiga>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalTarifaAntiga = new dalTarifaAntiga();
                dt = dalTarifaAntiga.Select_7(objTarifaAntiga);

                regranegocioGlobal = new regraNegocioGlobal();

                lstTarifa = regraNegocioGlobal.ConvertDataTable<entidadeTarifaAntiga>(dt);

                return lstTarifa;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeTarifaAntiga> SelectOthersTables(entidadeTarifaAntiga objTarifaAntiga)
        {
            dalTarifaAntiga dalTarifaAntiga = null;

            var lstTarifa = new List<entidadeTarifaAntiga>();
            DataTable dt = null;

            try
            {
                dalTarifaAntiga = new dalTarifaAntiga();
                dt = dalTarifaAntiga.SelectOthersTables(objTarifaAntiga);

                foreach (DataRow dr in dt.Rows)
                {
                    objTarifaAntiga = new entidadeTarifaAntiga();

                    if (!Convert.IsDBNull(dr["NUM"]))
                        objTarifaAntiga.NUM = dr["NUM"].ToString();

                    if (!Convert.IsDBNull(dr["DESCRI"]))
                        objTarifaAntiga.DESCRI = dr["NUM"].ToString() + " - " + dr["DESCRI"].ToString();

                    lstTarifa.Add(objTarifaAntiga);
                }
                return lstTarifa;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeTarifaAntiga> SelectOthersTables_1(entidadeTarifaAntiga objTarifaAntiga)
        {
            dalTarifaAntiga dalTarifaAntiga = null;

            var lstTarifa = new List<entidadeTarifaAntiga>();
            DataTable dt = null;

            try
            {
                dalTarifaAntiga = new dalTarifaAntiga();
                dt = dalTarifaAntiga.SelectOthersTables_1(objTarifaAntiga);

                foreach (DataRow dr in dt.Rows)
                {
                    objTarifaAntiga = new entidadeTarifaAntiga();

                    if (!Convert.IsDBNull(dr["REFERENCIA"]))
                        objTarifaAntiga.REFERENCIA = Convert.ToDateTime(dr["REFERENCIA"]);


                    lstTarifa.Add(objTarifaAntiga);
                }
                return lstTarifa;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeTarifaAntiga> SelectOthersTables_2(entidadeTarifaAntiga objTarifaAntiga)
        {
            dalTarifaAntiga dalTarifaAntiga = null;

            var lstTarifa = new List<entidadeTarifaAntiga>();
            DataTable dt = null;

            try
            {
                dalTarifaAntiga = new dalTarifaAntiga();
                dt = dalTarifaAntiga.SelectOthersTables_2(objTarifaAntiga);

                foreach (DataRow dr in dt.Rows)
                {
                    objTarifaAntiga = new entidadeTarifaAntiga();

                    if (!Convert.IsDBNull(dr["REFERENCIA"]))
                        objTarifaAntiga.REFERENCIA = Convert.ToDateTime(dr["REFERENCIA"]);


                    lstTarifa.Add(objTarifaAntiga);
                }
                return lstTarifa;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeTarifaAntiga> SelectOthersTables_3(entidadeTarifaAntiga objTarifaAntiga)
        {
            dalTarifaAntiga dalTarifaAntiga = null;

            var lstTarifa = new List<entidadeTarifaAntiga>();
            DataTable dt = null;

            try
            {
                dalTarifaAntiga = new dalTarifaAntiga();
                dt = dalTarifaAntiga.SelectOthersTables_3(objTarifaAntiga);

                foreach (DataRow dr in dt.Rows)
                {
                    objTarifaAntiga = new entidadeTarifaAntiga();

                    if (!Convert.IsDBNull(dr["NUM"]))
                        objTarifaAntiga.NUM = dr["NUM"].ToString();

                    if (!Convert.IsDBNull(dr["DESCRI"]))
                        objTarifaAntiga.DESCRI = dr["NUM"].ToString() + " - " + dr["DESCRI"].ToString();

                    lstTarifa.Add(objTarifaAntiga);
                }
                return lstTarifa;
            }
            catch (Exception)
            {
                throw;
            }
        }

        //public DataTable SelectCount(entidadeTarifaAntiga objTarifaAntiga)
        //{
        //    dalTarifaAntiga dalTarifaAntiga = null;
        //    DataTable dt = null;

        //    try
        //    {
        //        dalTarifaAntiga = new dalTarifaAntiga();
        //        dt = dalTarifa.SelectCount(objTarifaAntiga);

        //        return dt;
        //    }
        //    catch (Exception)
        //    {
        //        throw;
        //    }
        //}

    }
}
